LinuxQuestions.org
Help answer threads with 0 replies.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian
User Name
Password
Debian This forum is for the discussion of Debian Linux.

Notices


Reply
  Search this Thread
Old 01-20-2021, 04:10 AM   #1
gerlinux
Member
 
Registered: Jan 2014
Location: Spain
Distribution: Debian GNU/Linux 10 \n \l gnome desktop
Posts: 124

Rep: Reputation: Disabled
Question install Telegram v.2.5 in Debian


I would like to install the last version of telegram, but all I can do is install an old version...
any ideas of what can I do?
thanks
 
Old 01-20-2021, 04:20 AM   #2
jamison20000e
Senior Member
 
Registered: Nov 2005
Location: ...uncanny valley... infinity\1975; (randomly born:) Milwaukee, WI, US( + travel,) Earth( I wish,) END BORDER$!◣◢┌∩┐ Fe26-E,e...
Distribution: any GPL that works well on my cheapest; has been KDE or CLI but open... http://goo.gl/NqgqJx &c ;-)
Posts: 4,274
Blog Entries: 3

Rep: Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419
Question

What version of Debian you at, hopefully not:
Quote:
gerlinux
Member

Registered: Jan 2014
Location: Spain
Distribution: Debian GNU/Linux 7.1
...
...and, are we talking Telegram Desktop?
 
Old 01-20-2021, 04:45 AM   #3
gerlinux
Member
 
Registered: Jan 2014
Location: Spain
Distribution: Debian GNU/Linux 10 \n \l gnome desktop
Posts: 124

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by jamison20000e View Post
What version of Debian you at,
Debian GNU/Linux 10 \n \l

Sorry, I am going to change that in my profile,

Yes, telegram desktop
 
Old 01-20-2021, 05:02 AM   #4
shruggy
Senior Member
 
Registered: Mar 2020
Posts: 2,060

Rep: Reputation: Disabled
telegram-desktop 2.2.0 is available in Bullseye (Debian testing). Do Simple Backport Creation.

If that is still too old for you, telegram 2.5.1 is available as Ubuntu PPA for Bionic/Focal/Groove/Hirsute. Then do Create Package From PPA.

Last edited by shruggy; 01-20-2021 at 05:11 AM.
 
Old 01-20-2021, 06:06 AM   #5
jamison20000e
Senior Member
 
Registered: Nov 2005
Location: ...uncanny valley... infinity\1975; (randomly born:) Milwaukee, WI, US( + travel,) Earth( I wish,) END BORDER$!◣◢┌∩┐ Fe26-E,e...
Distribution: any GPL that works well on my cheapest; has been KDE or CLI but open... http://goo.gl/NqgqJx &c ;-)
Posts: 4,274
Blog Entries: 3

Rep: Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419
Code:
sudo apt search telegram
[sudo] password for me: 
Sorting... Done
Full Text Search... Done
libtgl-0.0.0.20160623-0/unstable 2.0.1+git20160323.ffb04cac-3+b1 amd64
  telegram API library

libtgl-0.0.0.20160623-dev/unstable 2.0.1+git20160323.ffb04cac-3+b1 amd64
  telegram API library (development headers)

libtgvoip-dev/unstable 2.4.4-4 amd64
  VoIP library for Telegram clients - developer files

libtl-parser-dev/unstable 0.0.0+git20180215.f49077de-4.1 all
  command-line tool to parse TL scheme to tlo file (development)

node-telegram-bot-api/unstable 2.0.1-1 all
  node.js module for Telegram Bot API

python-django-allauth-doc/unstable 0.44.0+ds-1 all
  Django app for local and social authentication (Documentation)

python3-django-allauth/unstable 0.44.0+ds-1 all
  Django app for local and social authentication (Python 3 version)

python3-python-telegram-bot/unstable 13.1-1 all
  python module for Telegram Bot API (Python 3)

python3-python-telegram-bot-doc/unstable 13.1-1 all
  python module for Telegram Bot API (common documentation)

telegram-cli/unstable 1.3.1+git20160323.6547c0b21-2 amd64
  Command-line interface for Telegram messenger

telegram-desktop/unstable 2.2.0+ds-5 amd64
  fast and secure messaging application

telegram-purple/unstable 1.4.3-3 amd64
  Purple plugin to support Telegram

tl-parser/unstable 0.0.0+git20180215.f49077de-4.1 amd64
  command-line tool to parse TL scheme to tlo file

znc-push/unstable 1.0.0+git20190521.78d0385+1.8.2-2+b1 amd64
  znc plugin to send push notification to various services
No middlepeople here (^netinst sid^) unlike la front to a corporation. Allthough with my hardware I'm not free but to boot...

Last edited by jamison20000e; 01-20-2021 at 06:11 AM.
 
Old 01-20-2021, 06:28 AM   #6
gerlinux
Member
 
Registered: Jan 2014
Location: Spain
Distribution: Debian GNU/Linux 10 \n \l gnome desktop
Posts: 124

Original Poster
Rep: Reputation: Disabled
[QUOTE Then do Create Package From PPA.[/QUOTE]

trying to do so, but i get stuck at this point:

Quote:
Add a testing deb-src entries to your apt sources:

# Debian testing packages sources
deb-src http://deb.debian.org/debian/ testing main
This is what i get from the terminal:

PHP Code:
deb-srcno s'ha trobat l'ordre 
wich means: order hasn't been found
 
Old 01-20-2021, 06:54 AM   #7
shruggy
Senior Member
 
Registered: Mar 2020
Posts: 2,060

Rep: Reputation: Disabled
Well, that line is from the Simple Backport Creation recipe. This is not a command to be entered in the terminal. That line should be put to the file /etc/apt/sources.list. On the Debian Wiki page, the words apt sources in the text you quoted are a link. Go to that link and read up.

A quick'n'dirty way to do what you want is
Code:
sudo sed -i '$a deb-src http://deb.debian.org/debian testing main' /etc/apt/sources.list

Last edited by shruggy; 01-21-2021 at 04:05 AM. Reason: forgotten $
 
Old 01-20-2021, 12:38 PM   #8
gerlinux
Member
 
Registered: Jan 2014
Location: Spain
Distribution: Debian GNU/Linux 10 \n \l gnome desktop
Posts: 124

Original Poster
Rep: Reputation: Disabled
Quote:
Originally Posted by shruggy View Post
A quick'n'dirty way to do what you want is
Code:
sudo sed -i 'a deb-src http://deb.debian.org/debian testing main' /etc/apt/sources.list
I tried that and nothing happens...

to be honest, i don't have any idea about how to do what you suggested (the other tips you gave me)
 
Old 01-20-2021, 12:49 PM   #9
shruggy
Senior Member
 
Registered: Mar 2020
Posts: 2,060

Rep: Reputation: Disabled
Oops sorry, the command was wrong.
Now, please do
Code:
sudo sed -i '/^deb-src .* testing/d' /etc/apt/sources.list
sudo sed -i '$a deb-src http://deb.debian.org/debian testing main' /etc/apt/sources.list
The first time I forgot the $.

Quote:
Originally Posted by gerlinux View Post
I tried that and nothing happens.
This is Unix. "Nothing happens" means the positive answer: the command worked. After you're done with /etc/apt/sources.list, you can do the next step from that recipe:
Code:
sudo apt update

Last edited by shruggy; 01-20-2021 at 01:16 PM.
 
Old 01-20-2021, 05:11 PM   #10
gerlinux
Member
 
Registered: Jan 2014
Location: Spain
Distribution: Debian GNU/Linux 10 \n \l gnome desktop
Posts: 124

Original Poster
Rep: Reputation: Disabled
I have done everything that you suggested, but
Quote:
This is Unix. "Nothing happens" means the positive answer: the command worked. After you're done with /etc/apt/sources.list, you can do the next step from that recipe:
and I don't have any results,
 
Old 01-20-2021, 07:50 PM   #11
jamison20000e
Senior Member
 
Registered: Nov 2005
Location: ...uncanny valley... infinity\1975; (randomly born:) Milwaukee, WI, US( + travel,) Earth( I wish,) END BORDER$!◣◢┌∩┐ Fe26-E,e...
Distribution: any GPL that works well on my cheapest; has been KDE or CLI but open... http://goo.gl/NqgqJx &c ;-)
Posts: 4,274
Blog Entries: 3

Rep: Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419
Code:
cat /etc/apt/sources.list
https://wiki.debian.org/SourcesList


Code:
man cat
mmeoow

Last edited by jamison20000e; 01-20-2021 at 07:52 PM. Reason: typ0
 
Old 01-20-2021, 08:42 PM   #12
evo2
LQ Guru
 
Registered: Jan 2009
Location: Japan
Distribution: Mostly Debian and CentOS
Posts: 6,139

Rep: Reputation: 1495Reputation: 1495Reputation: 1495Reputation: 1495Reputation: 1495Reputation: 1495Reputation: 1495Reputation: 1495Reputation: 1495Reputation: 1495
Hi,

telegram-desktop 2.2.0 is already in buster-backports.
Code:
% rmadison -a amd64 telegram-desktop 
telegram-desktop | 1.1.23-1~bpo9+1    | stretch-backports | amd64
telegram-desktop | 1.5.11-1           | stable            | amd64
telegram-desktop | 2.2.0+ds-2~bpo10+1 | buster-backports  | amd64
telegram-desktop | 2.2.0+ds-5         | testing           | amd64
telegram-desktop | 2.2.0+ds-5         | unstable          | amd64
So just need a source like:
Code:
deb http://ftp.jp.debian.org/debian/ buster-backports main
And then install with
Code:
sudo apt-get update
sudo apt-get install telegram-desktop/buster-backports
Cheers,

Evo2.
 
1 members found this post helpful.
Old 01-20-2021, 09:44 PM   #13
jamison20000e
Senior Member
 
Registered: Nov 2005
Location: ...uncanny valley... infinity\1975; (randomly born:) Milwaukee, WI, US( + travel,) Earth( I wish,) END BORDER$!◣◢┌∩┐ Fe26-E,e...
Distribution: any GPL that works well on my cheapest; has been KDE or CLI but open... http://goo.gl/NqgqJx &c ;-)
Posts: 4,274
Blog Entries: 3

Rep: Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419
2.5 is not here yet; use Alien and apk for e.g. or build it...
2.2 may do better depending on how you set Debian?
I https://www.linuxquestions.org/quest...4/#post6210107
 
Old 01-21-2021, 02:04 AM   #14
gerlinux
Member
 
Registered: Jan 2014
Location: Spain
Distribution: Debian GNU/Linux 10 \n \l gnome desktop
Posts: 124

Original Poster
Rep: Reputation: Disabled
Code:
deb http://ftp.jp.debian.org/debian/ buster-backports main
When i tried that the terminal said that the file can not be found,
 
Old 01-21-2021, 02:41 AM   #15
jamison20000e
Senior Member
 
Registered: Nov 2005
Location: ...uncanny valley... infinity\1975; (randomly born:) Milwaukee, WI, US( + travel,) Earth( I wish,) END BORDER$!◣◢┌∩┐ Fe26-E,e...
Distribution: any GPL that works well on my cheapest; has been KDE or CLI but open... http://goo.gl/NqgqJx &c ;-)
Posts: 4,274
Blog Entries: 3

Rep: Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419Reputation: 1419
https://www.linuxquestions.org/quest...5/#post6210106
 
  


Reply

Tags
debian, software installation, telegram


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off



Similar Threads
Thread Thread Starter Forum Replies Last Post
[SOLVED] QuiteRSS and Telegram not showing in system tray in Debian 9 MATE backport. linustalman Linux - Software 8 08-17-2018 07:57 AM
LXer: Telegram Messenger On Linux Telegram Linux LXer Syndicated Linux News 0 04-12-2017 09:50 AM
LXer: Cutegram 2.2.0 Telegram Client For Linux Released, Install In Ubuntu/Linux Mint/Debian Based D LXer Syndicated Linux News 0 05-09-2015 09:09 PM
How to install Telegram Client on Red hat 5.X? jorham25 Red Hat 1 08-13-2014 02:37 PM

LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Debian

All times are GMT -5. The time now is 02:16 PM.

Main Menu
Advertisement
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
Open Source Consulting | Domain Registration